/*
    ArduTouch.h  

    Master header file for the ArduTouch library.

    ---------------------------------------------------------------------------
 
    Copyright (C) 2016, Cornfield Electronics, Inc.
 
    This work is licensed under the Creative Commons Attribution-ShareAlike 3.0 
    Unported License.
 
    To view a copy of this license, visit
    http://creativecommons.org/licenses/by-sa/3.0/
 
    Created by Bill Alessi & Mitch Altman.
 
   ---------------------------------------------------------------------------
*/
                                    
#ifndef ARDUTOUCH_H_INCLUDED
#define ARDUTOUCH_H_INCLUDED

#include "Audio.h"
#include "Bank.h"
#include "ByteMenu.h"
#include "ClickTrack.h"
#include "Commands.h"
#include "Control.h"
#include "Console_.h"
#include "Drums.h"
#include "Envelope.h"
#include "Instrument.h"
#include "KeyBrd.h"
#include "LFO.h"
#include "Mode.h"
#include "Model.h"
#include "WaveOsc.h"
#include "NoiseOsc.h"
#include "Osc.h"
#include "Pan.h"
#include "Phonic.h"
#include "QuadSynth.h"
#include "Scroller.h"
#include "Sequencer.h"
#include "StdEffects.h"
#include "Synth.h"
#include "System.h"
#include "Tremolo.h"
#include "Tuning.h"
#include "types.h"
#include "Vibrato.h"
#include "Voice.h"
#include "WaveBank.h"
#include "WaveGen.h"
#include "WaveOsc.h"
#include "WaveTable.h"

#endif   // ifndef ARDUTOUCH_H_INCLUDED
